From feaac9fefa57a3009ac46398227ab87d6708dedb Mon Sep 17 00:00:00 2001
From: Andre Anjos <andre.anjos@idiap.ch>
Date: Fri, 23 Sep 2016 14:04:48 +0200
Subject: [PATCH] Revert "Be a bit more objective when uploading to our dav
 server"

This reverts commit 17e0fa3619aca9512471447ddd428a7a5ea0bd91.
---
 gitlab/functions.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gitlab/functions.sh b/gitlab/functions.sh
index 4769dbf..9a168ef 100644
--- a/gitlab/functions.sh
+++ b/gitlab/functions.sh
@@ -94,7 +94,14 @@ doc_upload() {
   check_env DOCSERVER
   check_pass DOCUSER
   check_pass DOCPASS
-  run_cmd curl --location --silent --show-error --user "${DOCUSER}:${DOCPASS}" --upload-file ${1} ${DOCSERVER}/${2}
+  log_info "${1} -> ${DOCSERVER}/${2}, via curl..."
+  curl --location --silent --show-error --user "${DOCUSER}:${DOCPASS}" --upload-file ${1} ${DOCSERVER}/${2}
+  local status=$?
+  if [ ${status} != 0 ]; then
+    log_error "Curl command finished with an error condition (status=${status})"
+    exit ${status}
+  fi
+  log_info "Successfully uploaded ${1} with curl"
 }
 
 check_env PYTHON_VERSION
-- 
GitLab